Subject: bug#33398: 26.1, netbsd-8; Hi Lock Faces, Hi Green B, default setting suggestion

From: Eli Zaretskii <[email-masked]>
Date: Thu, 20 Dec 2018 18:11:55 +0200

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 19 Dec 2018 23:40:08 +0200
> 
> > (defface hi-redgold
> >   '((((min-colors 8)) (:background "red"))
> >     (t (:background "gold")))
> >   "Face for hi-lock mode."
> >   :group 'hi-lock-faces)
> >
> > I see no reason to use "red" on 16-color terminals, nor "orange" on
> > color TTYs with at least 88 colors.  The translation of "gold" should
> > be good enough in those cases.  Isn't it?
> 
> I tried, and it used "red" even on 88-colors.

I don't have access to such a terminal, but on a 16-color TTY "gold"
displays as bright yellow, which is definitely not red.  So I'm
surprised you see red on a 88-color TTY.

> But given that LightSalmon is a good choice, I copied the same
> definitions from other faces, substituted with new colors and they
> look good on all environments:
> 
> (defface hi-salmon
>   '((((min-colors 88) (background dark))
>      (:background "light salmon" :foreground "black"))
>     (((background dark)) (:background "red" :foreground "black"))
>     (((min-colors 88)) (:background "light salmon"))
>     (t (:background "red")))
>   "Face for hi-lock mode."
>   :group 'hi-lock-faces)
> 
> (defface hi-aquamarine
>   '((((min-colors 88) (background dark))
>      (:background "aquamarine" :foreground "black"))
>     (((background dark)) (:background "blue" :foreground "black"))
>     (((min-colors 88)) (:background "aquamarine"))
>     (t (:background "blue")))
>   "Face for hi-lock mode."
>   :group 'hi-lock-faces)

Thanks.